import { PolyEngine } from '../../../Poly';
declare type PolyPluginCallback = (poly: PolyEngine) => void;
interface PolyPluginOptions {
    libraryName: string;
}
export interface PolyPluginData {
    name: string;
    libraryName: string;
}
export declare class PolyPlugin {
    private _name;
    private _callback;
    private _options;
    constructor(_name: string, _callback: PolyPluginCallback, _options: PolyPluginOptions);
    name(): string;
    libraryName(): string;
    init(poly: PolyEngine): void;
    toJSON(): PolyPluginData;
}
export {};
